Subject: Re: bug#73357: [PATCH] Make vc-clone interactive

From: Philip Kaludercic <[email-masked]>
Date: Thu, 24 Oct 2024 14:19:15 +0000

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Thu 24 Oct 2024 at 03:31pm +03, Aleksandr Vityazev wrote:
>
>> I don't have a strong opinion on this. I originally proposed this:
>>
>> (when (file-directory-p directory)
>>   (if (called-interactively-p 'interactive)
>>       (find-file directory)
>>     directory))
>>
>> The OPEN-DIR argument was suggested by Philip, and I agreed with him,
>> since the option is also good.  I'm fine with both options, I'll do as
>> you say.
>
> Sorry, I misread the code, ignore my comment here.
>
>> V5 patches:
>
> Installed, thanks.
>
> I renamed vc-backend-type and vc-heuristic-alist to less generic names.
>
> I also realised that vc-clone now can call vc-guess-url-backend even
> when noninteractive, and it always returns DIRECTORY which it didn't
> before, so I updated the commit message accordingly.

This is important, as package-vc calls vc-clone non-interactively.

-- 
	Philip Kaludercic on siskin